<%@ page language="java" contentType="text/html" import="java.util.*,java.net.*,java.io.*,org.voicexml.conformance.testharness.*" %>



<!--  Copyright (c) 2008 VoiceXML Forum.  All rights reserved. -->

<!--  VOICEXML FORUM CONFIDENTIAL                              -->

<!--  PRELIMINARY VERSION FOR DISTRIBUTION TO MEMBERS ONLY.    -->



<!doctype html public "-//w3c//dtd html 4.0 transitional//en">


<html>

<head>

<link rel="stylesheet" href="style.css">

<title> VoiceXML Forum Conformance Test Suite </title>

</head>

<body>

<center> 

<img src="images/logo.gif"> 

</center>

<%

String assertId = request.getParameter("assertId");

String gramType = "vxml-srgs";

String testSuite = request.getParameter("testSuite");

String SpecDoc;
String SpecSectionDelimiter;

if (testSuite.compareTo("vxml20_1.0.1d") == 0) { 
	SpecDoc = "http://www.w3.org/TR/voicexml20/"; 
	SpecSectionDelimiter = "#dml";
} else if (testSuite.compareTo("vxml21_0.0.5") == 0) { 
	SpecDoc = "http://www.w3.org/TR/voicexml21/"; 
	SpecSectionDelimiter = "#";
} else if (testSuite.compareTo("srgs10_0.0.7") == 0) { 
	SpecDoc = "http://www.w3.org/TR/speech-grammar/"; 
	SpecSectionDelimiter = "#S";
} else { 
	SpecDoc = "/"; 
	SpecSectionDelimiter = "#";
}

String WebAppDirectory = getServletContext().getRealPath("/");

String URL = request.getRequestURL().toString();
String ServletPath  = request.getServletPath();
String DocumentRoot = URL;
int i = URL.lastIndexOf(ServletPath);
if (i != -1 ) {
	DocumentRoot = URL.substring(0,i);
}

AssertionTestLoader atl = AssertionTestLoader.getInstance(WebAppDirectory, DocumentRoot, testSuite);

String basedir = atl.getBaseDir();

String assertText = atl.getAssertionText(assertId);

String section = atl.getSection(assertId);

Dictionary depends = atl.getTestDependencies(assertId);

%>

<h2> Assertion #  <%=assertId%></h2>

<p>

<%

if (section != null) {

%>

<b> Section: </b> <a href="<%=SpecDoc%><%=SpecSectionDelimiter%><%=section%>" target="new"><%=section%></a>

<%

}

%> 

<br>

<b>Description:</b> <%=assertText%>

<p>


<b> VoiceXML Source: </b>

<table class="code">

  <tr>

    <td>

      <pre><%atl.writeVXMLOutput(out,gramType,assertId, testSuite);%></pre>

    </td>

  </tr>

</table> 
<p>

<b> Test Input Source: </b>

<table class="code">

  <tr>

    <td>

      <pre><%atl.writeTXMLOutput(out,gramType,assertId, testSuite);%></pre>

    </td>

  </tr>

</table> 


<%

// If there are dependencies we display links to them here.

if(depends!=null) {

%>

<p>

<b> Test Dependencies: </b>

<table>

<tr> <td> <b> Filename </b> <td> <b> File Type </b> </td> </td>

<%

    Enumeration keys = depends.keys();

    while(keys.hasMoreElements()) {

        String depUri = (String) keys.nextElement();

        String depType = (String) depends.get(depUri);

        if(depType.equals("audio/x-wav")) {

%>

<tr> <td> <a href="<%=gramType + File.separatorChar + depUri%>"> <%=depUri%> </a> </td> <td> <%=depType%> (click on URI to preview audio)</td> </tr>

<%

        } else {        

%>

<tr> <td> <a href="viewtestdepend.jsp?testSuite=<%=testSuite%>&depUri=<%=URLEncoder.encode(depUri)%>&depType=<%=URLEncoder.encode(depType)%>&assertId=<%=assertId%>"> <%=depUri%> </a> </td> <td> <%=depType%> </td> </tr>

<%

        }

    }

%>

</table>

<%

}

%>

<p>

<a href="view.jsp?testSuite=<%=testSuite%>"> View Another Test </a> 

<center> 

                             <P>&nbsp;</P>

                              <P align=center><IMG height=24 

                              src="images/divider.gif" width=417></P>

                              <P align=center><FONT 

                              face="Verdana, Arial, Helvetica, sans-serif" 

                              size=1>Copyright  20038 VoiceXML Forum.</FONT> 

                              <FONT face="Verdana, Arial, Helvetica, sans-serif" 

                              size=1>All rights reserved.<BR>The VoiceXML Forum 

                              is a program of the<BR><A 

                              href="http://www.ieee-isto.org/" 

                              target=_blank>IEEE Industry Standards and 

                              Technology Organization</A> 

                            (IEEE-ISTO)</FONT></P>    

</center>           

</body>

</html>

