<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- Base_test_href may be modified by vendors to point to the test location. -->
<xsl:param name="css">http://www.w3.org/StyleSheets/base.css</xsl:param>
<xsl:param name="spec_href">http://www.w3.org/TR/voicexml21/</xsl:param>


<xsl:template match="tests">
  <div>
      <style type="text/css" xml:space="preserve"><![CDATA[
        table.testlist { border: black; border-width: 1px; }
        table.testlist th { background-color: rgb(177,193,218); font-size: 9pt; }
        table.testlist td { background-color: rgb(240,240,240); font-size: 9pt; } ]]>
      </style>
      <link rel="stylesheet" type="text/css" href="{$css}"/>

      <table class="testlist" cellspacing="2px" cellpadding="2px">
      <caption align="left"><h3>Required assertions</h3></caption>
      <tr>
        <xsl:call-template name="table_macro"/>
      </tr>

      <xsl:for-each select="test/assert">
        <xsl:sort data-type="number" select="@id"/>
        <xsl:if test="not(@conf_level='optional') and not(@tsd='1') and not(@untestable='1')">
          <tr><xsl:call-template name="assert_macro"/></tr>
        </xsl:if>
      </xsl:for-each>
      </table>

      <br/><br/><br/><br/>

      <table class="testlist" cellspacing="2px" cellpadding="2px">
      <caption align="left"><h3>Optional assertions</h3></caption>
      <tr>
        <xsl:call-template name="table_macro"/>
      </tr>

      <xsl:for-each select="test/assert">
        <xsl:sort data-type="number" select="@id"/>
        <xsl:if test="(@conf_level='optional') and not(@tsd='1') and not(@untestable='1')">
          <tr><xsl:call-template name="assert_macro"/></tr>
        </xsl:if>
      </xsl:for-each>
      </table>

      <br/><br/><br/><br/>

<!--

      <table class="testlist" cellspacing="2px" cellpadding="2px">
      <caption align="left"><h3>Assertions in dispute</h3> Note: These assertions are presented for informational purposes only.  No statement of conformance can be derived because there is no right or wrong behavior defined.</caption>
      <tr>
        <xsl:call-template name="table_macro"/>
      </tr>

      <xsl:for-each select="test/assert">
        <xsl:sort data-type="number" select="@id"/>
        <xsl:if test="@tsd='1'">
          <tr><xsl:call-template name="assert_macro"/></tr>
        </xsl:if>
      </xsl:for-each>
      </table>

      <br/><br/><br/><br/>

      <table class="testlist" cellspacing="2px" cellpadding="2px">
      <caption align="left"><h3>Untestable assertions</h3> Note: These assertions are presently untestable within CT Labs.  When the assertions become testable, they will be joined back into the main test set.</caption>
      <tr>
        <xsl:call-template name="table_macro"/>
      </tr>

      <xsl:for-each select="test/assert">
        <xsl:sort data-type="number" select="@id"/>
        <xsl:if test="@untestable='1'">
          <tr><xsl:call-template name="assert_macro"/></tr>
        </xsl:if>
      </xsl:for-each>
      </table>

-->

</div>


<p align="center">
<font size="2">
Copyright 2005 VoiceXML Forum. All Rights Reserved.
</font>
</p>

<hr/>
</xsl:template>


<!-- Fill in the collumn values that are constant across all sections. -->

<xsl:template name="assert_macro">
  <td valign="top"><a href="assertId={@id}"><xsl:value-of select="@id"/></a></td>
  <td valign="top"><a target="spec" href="{$spec_href}#{@spec}">[<xsl:value-of select="@spec"/>]</a></td>
  <td valign="top"><xsl:apply-templates/></td>
</xsl:template>

<!-- Declare collumn that are constant across all sections. -->
<xsl:template name="table_macro">
  <th>ID</th>
  <th>Spec. Reference</th>
  <th>Abstract</th>
</xsl:template>


</xsl:stylesheet>
